#include"common.h"
#include "delay.h"

/*s和ms*/
void delay_ms(int msec) {
    struct timespec ts;
    ts.tv_sec = 0; // 秒
    ts.tv_nsec = msec*1000000; // 1毫秒 = 1000000纳秒
    nanosleep(&ts,NULL);
}

void delay_s(int sec) {
    struct timespec ts;
    ts.tv_sec = sec; // 秒
    ts.tv_nsec = 0; // 1毫秒 = 1000000纳秒
    nanosleep(&ts,NULL);
}

/*us*/
void delay_us(int usec) {
    struct timespec ts;
    ts.tv_nsec = usec*1000; // 1毫秒 = 1000000纳秒
    nanosleep(&ts,NULL);
}